//-------------------------------------------------------
/*  本專案適用於 Uno / Nano 開發板
 *  main.ino ==> 一般C語言IDE的 main.c
 *  Hardwire： Vcc-->3.3V，SDA-->A4，SCK-->A5，GND-->GND
 *  請注意OLED 1306 的接腳順序有兩種 
 *  1. GND-Vcc-SCL-SDA 
 *  2. Vcc-GND-SCL-SDA
 *  請先依照此安裝函式庫： Adafruit SSD1306 + Adafruit GFX Library
 *  安裝前者可以選擇<全部安裝>，會連Adafruit GFX Library 一起安裝
 *  https://blog.jmaker.com.tw/arduino-ssd1306-oled/
 *  
 *  BLE 參考文章：https://blog.jmaker.com.tw/arduino-ble-app/
 */
#include "main.h"
char s[42] = {' '};  //全域變數 for sprintf() 
#include <SoftwareSerial.h>
SoftwareSerial BLE(2, 3); // RX, TX

void loop() {   //相當於標準C的 while ( 1 ) { 
    static float h,t;
    static int i=0, temp;
    char ch;
    if (BLE.available()){       //如果藍牙有傳資料過來
        ch = BLE.read();        //把讀到的資料丟給ch
        Serial.print(ch);       //
        putch_oled( 3, ch );    //3 for BLE
    }
    if ( Serial.available()){   //char from local
        ch = Serial.read();     //把讀到的資料丟給ch
        BLE.print(ch);          //
        putch_oled( 2, ch );    //2 for local
    }
    
    if (job (3, 500 ))  {
        sprintf(s, "Johnson %d" , ++i%100 );
        print_oled( 1, s );
    }
    refresh_OLED( ); //update OLED display
}

void setup() {
    Serial.begin(9600);  
    BLE.begin(9600);  
    Serial.println("Hello World!"); 
    BLE.println("Hello BLE!"); 
}
